## com.bbn.openmap.proj
Class ProjectionStack.ProjHolder

    java.lang.Object
      com.bbn.openmap.proj.ProjectionStack.ProjHolder

Enclosing class:
  ProjectionStack

public class ProjectionStack.ProjHolder
extends java.lang.Object

Field Summary
`LatLonPoint` `center`
`java.lang.Class` `projClass`
`float` `scale`
`protected java.awt.Point` `tmpPoint1`
`protected java.awt.Point` `tmpPoint2`

Constructor Summary
`ProjectionStack.ProjHolder(Projection proj)`

Method Summary
`Projection` `create(int width, int height)`
`boolean` `equals(Projection proj)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### projClass

    public java.lang.Class projClass

### scale

    public float scale

### center

    public LatLonPoint center

### tmpPoint1

    protected java.awt.Point tmpPoint1

### tmpPoint2

    protected java.awt.Point tmpPoint2

Constructor Detail

### ProjectionStack.ProjHolder

    public ProjectionStack.ProjHolder(Projection proj)

Method Detail

### equals

    public boolean equals(Projection proj)

### create

    public Projection create(int width,
                             int height)

### toString

    public java.lang.String toString()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details